.banner-product.procat_banner {
	margin-bottom: 20px;
}
.banner-product.procat_banner img {
	width: 100%;
	display: block;
}
.catpro-heading {
	justify-content: space-between;
	margin-bottom: 20px;
}
.catpro-heading h1 {
	margin: 0;
	font-size: 24px;
}
.catpro-heading .head-right {
	display: flex;
	align-items: center;
    flex-wrap: wrap;
}
.catpro-heading .head-right .woocommerce-ordering,
.catpro-heading .head-right .woocommerce-result-count{
	margin: 0;
}
.catpro-heading .head-right .woocommerce-result-count{
	margin-right: 5px;
}

.woocommerce .woocommerce-ordering select{
    background-color: #fff;
}
/* product-category */
.woocommerce ul.products li.product-category,
.woocommerce-page ul.products li.product-category {
    border: 2px solid #ccc;
    box-sizing: border-box;
}

.woocommerce ul.products li.product-category:hover,
.woocommerce-page ul.products li.product-category:hover {
    border: 2px solid rgba(1, 149, 159, 0.6);
}

.woocommerce ul.products li.product-category.last,
.woocommerce-page ul.products li.product-category.last {
    margin-right: 0 !important;
}

.woocommerce ul.products li.product-category .woocommerce-loop-category__title,
.woocommerce ul.products li.product-category .woocommerce-loop-product__title,
.woocommerce ul.products li.product-category h3 {
    background: rgba(255, 255, 255, 0.6);
    position: absolute;
    left: 0;
    color: #01959f;
    bottom: 0;
    width: 100%;
    transition: opacity 0.3s, transform 0.3s, background-color 0.3s, -webkit-transform 0.3s;
    font-size: 12px !important;
    text-align: center;
    min-height: 30px;
    text-transform: uppercase;
}

.woocommerce ul.products li.product-category:hover .woocommerce-loop-category__title,
.woocommerce ul.products li.product-category:hover .woocommerce-loop-product__title,
.woocommerce ul.products li.product-category:hover h3 {
    background: rgba(1, 149, 159, 0.6);
    color: #fff !important;
}

.woocommerce ul.products li.product-category span.count {
    font-weight: normal;
    display: block;
    font-size: 11px;
}

/* product list */
.woocommerce ul.products.columns-4:not(.swiper-wrapper),
.woocommerce.columns-4 ul.products:not(.swiper-wrapper){
    display: grid;
    grid-gap: 15px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.woocommerce .products.columns-4 ul::after, 
.woocommerce .products.columns-4 ul::before, 
.woocommerce ul.products.columns-4::after, 
.woocommerce ul.products.columns-4::before {
    display: none;
}
.woocommerce ul.products li.type-product.swiper-slide{
    margin-bottom: 0 !important;
}
.woocommerce ul.products.columns-4 li.type-product:not(.swiper-slide),
.woocommerce.columns-4 ul.products li.type-product:not(.swiper-slide){
    width: 100% !important;
    margin: 0 !important;
    text-align: center;
}
.woocommerce ul.products li.type-product, 
.woocommerce-page ul.products li.type-product {
    background: #fff;
    text-align: center;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.08);
    margin-bottom: 20px !important;
}

.woocommerce ul.products li.type-product:hover,
.woocommerce-page ul.products li.type-product:hover {
    box-shadow: none;
    -webkit-box-shadow: 0 2px 12px rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.12);
}

.woocommerce ul.products li.product .img-pro a{
    position: relative;
	overflow: hidden;
	display: block;
    margin-bottom: 10px;
}
.woocommerce ul.products li.product .img-pro a img{
	margin: 0;
	transition: .6s all;
	display: block;
	object-fit: cover;
}
.woocommerce ul.products li.product .img-pro a img + img {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    transition: all ease 300ms;
}
.woocommerce ul.products li.product .img-pro a:hover img + img {
    visibility: visible;
    opacity: 1;
    transition: all ease 300ms;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.woocommerce ul.products li.product .img-pro a:hover img:first-child{
	opacity: 0;
}

.woocommerce ul.products li.product .info-product{
	position: relative;
	padding: 10px;
	background-color: #ffffff;
}
.woocommerce ul.products li.product .info-product {
	-webkit-transition: transform 300ms ease;
	-moz-transition: transform 300ms ease;
	-ms-transition: transform 300ms ease;
	-o-transition: transform 300ms ease;
	transition: transform 300ms ease;

}
.woocommerce ul.products li.product .info-product .attribute_wrapper{
    margin-bottom: 5px;
    font-size: 12px;
    font-weight: 500;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #9a9a9a;
}

.woocommerce ul.products li.type-product .woocommerce-loop-category__title,
.woocommerce ul.products li.type-product .woocommerce-loop-product__title,
.woocommerce ul.products li.type-product h3 {
    color: #252a2b;
    width: 100%;
    font-size: 14px !important;
    margin: 0 0 5px 0 !important;
    padding: 0 !important;
    font-weight: 500;
    white-space: initial;
    overflow: hidden;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: -webkit-box;
}

.woocommerce ul.products li.product a.added_to_cart.wc-forward {
    position: absolute;
    left: 18px;
    bottom: -18px;
    font-size: 12px;
}

.woocommerce ul.products li.product a.yith-wcqv-button {
    background: #f37022;
}

.woocommerce ul.products li.product .price {
	font-size: 14px !important;
	color: #333 !important;
    margin: 0;
	margin-bottom: 5px;
	font-weight: bold !important;
    display: flex !important;
    justify-content: center;
}
.woocommerce ul.products li.product .price ins{
	text-decoration: none;
	margin-right: 5px;
    order: -1;
}
ins .woocommerce-Price-amount.amount {
    color: red;
}
.woocommerce ul.products li.product .price del {
    font-weight: normal;
}
.woocommerce ul.products li.product .onsale {
    transform: rotate(0deg);
    top: 13px !important;
    right: auto !important;
    left: 10px !important;
    letter-spacing: -0.5px;
    min-width: auto;
    background-color: red;
    border-radius: 0 !important;
    min-height: auto !important;
    line-height: normal;
    border-radius: 3px !important;
}
.woocommerce ul.products li.product a.button {
    background: #fff !important;
    color: #252a2b !important;
    border: 1px solid transparent;
    border-radius: 16px;
    position: relative;
    padding: 0 45px 0 15px;
    height: 32px;
    line-height: 30px;
    outline: none;
    font-size: 12px;
    font-weight: 600;
    margin: 0 0 10px;
    border: 1px solid transparent !important;
    text-transform: uppercase;
    transition: border 0.5s ease;
    -o-transition: border 0.5s ease;
    -moz-transition: border 0.5s ease;
    -webkit-transition: border 0.5s ease;
}
.woocommerce ul.products li.product a.button:hover{
	-webkit-box-shadow: 0 2px 12px rgba(0, 0, 0, 0.12);
	box-shadow: 0 2px 12px rgba(0, 0, 0, 0.12);
	z-index: 9;
    border-color: #263b96 !important;
}
.woocommerce ul.products li.product a.button .btnico {
    position: absolute;
    right: -1px;
    top: -1px;
}
.btnico {
    display: block;
    width: 32px;
    height: 32px;
    background: #263b96;
    border-radius: 50%;
    transition: all 0.5s;
    cursor: pointer;
}
.btnico svg {
    width: 16px;
    height: 31px;
    display: block;
    margin: auto;
    fill: #ffffff;
}
/*single prodcut page*/
.woocommerce.single-product div.product {
    position: relative;
    margin-bottom:0px !important;
}
.yith-wcqv-main .woocommerce.single-product div.product {
    margin-bottom: 0px !important;
}
#yith-quick-view-content .onsale{
    display: none;  
}
#yith-quick-view-modal #yith-quick-view-content {
    padding: 20px;
    overflow-y: auto;
}
.woocommerce a.added_to_cart {
    display: none !important;
}
/**/
/*.single-product main#main.one-sidebar>.product{
    background-color: #fff;
    padding-top: 20px;
}*/
.kw-product {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.kw-product_images {
    background-color: #fff;
    padding: 10px;
    justify-content: space-between;
}
.kw-product_images,
.kw-product-summary {
    width: calc(50% - 7.5px);
}
.woocommerce div.product div.summary {
    background-color: #fff;
    padding: 10px;
}
.woocommerce div.product div.summary {
    width: 100% !important; 
    height: 100%;
}
@media only screen and (min-width: 769px){

    .yith-wcqv-main .woocommerce div.product div.summary {
        width: 60% !important;
    }
    .woocommerce.single-product div.product div.images.woocommerce-product-gallery{
        width: calc(100% - 87px);
        float: left;
        margin-left: 87px;
        position: relative;
    }
    .single-list-img{
        position: absolute !important;
        top: 0;
        left: -87px;
        display: flex;
        flex-direction: column;
        max-width: 77px;
        height: 100%;
        max-height: 500px;
    }
    .woocommerce div.product div.images .single-list-img .flex-control-thumbs li {
        width: 100%;    
        margin-bottom: 10px;
    }

    .woocommerce div.product div.images .flex-control-thumbs li img {
        border: 1px solid #e1e1e1;
        object-fit: contain;
        /*height: 100%;*/
    }
    .flex-viewport {
        margin-bottom: 10px;
    }
}
.woocommerce div.product div.images .flex-control-thumbs li img {
    opacity: 1 !important;
}
.woocommerce div.product div.images .flex-control-thumbs{
    overflow: visible !important; 
}
.woocommerce div.product div.images .flex-control-thumbs li img{
    border: 1px solid transparent;
}
.woocommerce div.product div.images .flex-control-thumbs li img:hover, 
.woocommerce div.product div.images .flex-control-thumbs li img.flex-active {
    border-color:  #e60f1e;
}
.flex-viewport{
    margin-bottom: 20px;
}
.woocommerce div.product div.images .flex-control-thumbs{
    overflow: visible !important; 
}
.woocommerce div.product div.images .flex-control-thumbs li img:hover,
.woocommerce div.product div.images .flex-control-thumbs li img.flex-active{
    border:1px solid #ff3333;
}
/**/
.woocommerce div.product .summary .product_title{
    font-size: 20px;
    line-height: 1.2;
    margin-bottom: 5px;
    color: #3d3d3d;
    text-transform: uppercase;
}
.summary .listInfoDesc {
    padding: 10px 0px;
    /*border-bottom: 1px solid #eaeaea;*/
    margin-bottom: 10px;
}
.summary .listInfoDesc ul {
    padding: 0;
    margin: 0;
}
.summary .listInfoDesc ul li {
    display: inline-block;
    margin-right: 10px;
    font-size: 13px;
}
.summary .listInfoDesc ul li+li::before {
    content: " ";
    display: inline-block;
    width: 1px;
    height: 10px;
    background: #eae4e8;
    margin: 0 7px;
}
.summary .listInfoDesc ul li span {
    font-weight: normal;
    font-size: 14px;
}
.summary .listInfoDesc ul li span.attr {
    color: #263b96;
    font-weight: bold;
}
.woocommerce div.product .summary .woocommerce-product-details__short-description {
    font-size: 14px;
    line-height: 1.3;
    color: #808080;
    font-weight: 400;
    margin-top: 20px;
}
.woocommerce div.product p.price ins, 
.woocommerce div.product span.price ins {
    text-decoration: none;
}
.woocommerce div.product .summary p.price {
    padding-bottom: 5px;
    margin-bottom: 5px;
    /*border-bottom: 1px solid #eaeaea;*/
}
.woocommerce div.product .summary p.price, 
.woocommerce div.product .summary span.price {
    color: #ea212d;
    font-size: 25px;
    font-weight: bold !important;
}
.woocommerce div.product .summary .price del {
    font-size: 18px;
    opacity: 1;
    font-weight: 400;
    margin-right: 5px;
    color: #999999;
}
.woocommerce .price span.onsale {
    position: unset;
    border-radius: 3px;
    display: inline-block;
    padding: 3px 14px;
    margin-left: 10px;
    background: transparent;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 13px;
    color: #ff0000;
    vertical-align: text-bottom;
    min-height: auto;
    line-height: normal;
    min-width: unset;
    font-weight: bold;
    border: 1px solid #ff0000;
}
/**/
.woocommerce div.product form.cart .variations td {
   display:block;
   margin-bottom:5px;
   width: 50%;
}
.woocommerce div.product form.cart .variations td.label {
    width: 20%;
}
.woocommerce div.product form.cart .variations td.value {
    width: 80%;
}
.woocommerce div.product form.cart .variations label {
 margin:0 0 10px 0;
 text-align:left;
 z-index:0;
}
div.select_option.select_option_label span,
div.select_option.select_option_label img {
 width:auto;
 min-width: 35px;
 padding:0 5px;
 height:auto;
}
div.select_option.selected span {
    color: #000;
    border: 1px solid#e4393c;
}
div.select_option.selected::after {
    background-image: url('images/select-pro.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: bottom left;
    position: absolute;
    content: "";
    display: block;
    width: 15px;
    height: 15px;
    bottom: 0;
    right: 0;
}
.select_option.selected {
    border-color: #c0020f;
    position: relative;
}
.select_option {
 border:1px solid #ccc!important;
}
.woocommerce div.product form.cart .variations {
    margin:0 !important;
}
.woocommerce .summary .variations tr {
    margin-bottom: 10px;
    display: flex;
}
/**/
.woocommerce div.product .summary form.cart div.quantity {
    float: none;
    margin: 0 4px 0 0;
    display: block;
    width: 100%;
    display: flex;
    align-items: center;
}
.woocommerce div.product .summary form.cart div.quantity .wrap-quantity {
    width: 100%;
    margin-bottom: 15px;
}
.quantity .nd-sl {
    width: 20%;
    font-weight: bold;
    min-width: 70px;
}
.woocommerce .quantity .qty_button, .woocommerce .quantity .qty {
    outline: none;
    height: 45px;
    text-align: center;
    width: 45px;
    float: left;
    margin-right: 0;
    border: 1px solid #f3f4f4;
    cursor: pointer;
    font-weight: bold;
}
.woocommerce .summary .quantity .qty_button.minus,
.woocommerce .summary .quantity .qty_button.plus{
    background-color: #f3f4f4;
}
.woocommerce .quantity .qty {
    width: 60px !important;
    border-left: 0 !important;
    border-right: 0 !important;
    font-weight: bold;
}
.woocommerce div.product .summary form.cart {
    padding-top: 10px;
    padding-bottom: 20px;
    margin-bottom: 1em;
}
.woocommerce form button.button,
#popup_cart .button,
.woocommerce div.product .summary form.cart .button {
    position: relative;
    z-index: 0;
    border: 1px solid #ff0000 !important; 
    white-space: nowrap;
    padding: 10px 20px;
    margin-bottom: 0;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    vertical-align: middle;
    display: inline-block;
    background: #ff0000 !important;
    transition: all 0.3s ease-in-out;
    margin-right: 0px;
    border-radius: 0px;
    border-radius: 3px;
}
.woocommerce div.product .summary form.cart .button {
    width: calc(100% - 170px);
    height: 45px;
}
.variations_form .single_variation_wrap .single-product-btn {
    display: none;
}

.woocommerce div.product .summary form.cart button.button.single_add_to_cart_button {
  margin-left: 0px;
  background-color: transparent !important;
  border-color: #e70505 !important;
  color: #e70505 !important; 
  width: 50%;
}
.woocommerce div.product .summary form.cart button.button.buy_now_button {
  background-color: #e70505;
  color: #fff !important;
  width: calc(100% - 50% - 10px);
  border-color: #e70505;
  margin-left: 10px;
}

.woocommerce div.product .summary form.cart button.button::before {
    content: '';
    display: block;
    position: absolute;
    left: -2px;
    top: 0;
    right: -2px;
    bottom: 0;
    z-index: -1;
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    -webkit-transform-origin: left center;
    transform-origin: left center;
    -webkit-transition: -webkit-transform 0.45s cubic-bezier(0.785, 0.135, 0.15, 0.86);
    transition: -webkit-transform 0.45s cubic-bezier(0.785, 0.135, 0.15, 0.86);
    transition: transform 0.45s cubic-bezier(0.785, 0.135, 0.15, 0.86);
    transition: transform 0.45s cubic-bezier(0.785, 0.135, 0.15, 0.86), -webkit-transform 0.45s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}
/*.woocommerce div.product .summary form.cart button.button::before {
    background: #fff;
    color: #e70505;
}*/


.woocommerce #respond input#submit, 
.woocommerce a.button, 
.woocommerce button.button, 
.woocommerce input.button{
    color: #fff !important;
}

.single-dv {
    margin-top: 10px;
}
.dv-item {
    display: flex;
    align-items: center;
    padding: 5px 0;
}   
.dv-item img{
    width: 30px;
    height: 30px;
    object-fit: contain;
}
.dv-item span {
    font-size: 13px;
    padding-left: 5px;
}
/*tabs*/
.woocommerce-tabs {
    margin-top: 20px;
    background-color: #fff;
    padding-bottom: 15px;
}
.woocommerce div.product .woocommerce-tabs ul.tabs {
  padding:0 15px !important;
  text-align: left;
  border-bottom: 1px solid #eee;
}
.woocommerce div.product .woocommerce-tabs .panel {
    padding: 0 10px !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs ,
.woocommerce div.product .woocommerce-tabs ul.tabs li a{

}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active{
    border-bottom: 3px solid  #333333 !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active a{
    color: #333333 !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li::after,
.woocommerce div.product .woocommerce-tabs ul.tabs::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li::after{
    display: none !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li.active::before {
    background-color: #d7b401;
    width: 100%;
    height: 5px;
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: 0 !important;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
    padding: 0px 20px !important;
    border-bottom: 0px !important;
    margin-top: 0px !important;
    position: relative;
    margin-right: 20px !important; 
    position: relative;
    text-transform: uppercase;
    background-color: transparent !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a {
    font-weight: normal !important;
    font-size: 15px !important;
    padding-top: 20px !important; 
    color: #000 !important;
    font-weight: 600 !important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li+li a::after {
    content: "";
    position: absolute;
    left: -10px;
    top: 20px;
}
/*end tabs*/
.related {
    margin-bottom: 20px !important;
}
.related > h2 {
    text-align: center;
    font-size: 28px;
    margin-bottom: 20px;
}
/*cart*/
#add_payment_method table.cart img, 
.woocommerce-cart table.cart img, 
.woocommerce-checkout table.cart img {
    width: 100px !important;
}
.woocommerce table.shop_table .variation {
    color: #686868;
    font-size: 14px;
    display: flex;
    margin-top: 0 ;
    text-transform: capitalize;
}
.woocommerce table.shop_table .variation dt{
    display: none !important; 
}
.woocommerce .wc-item-meta dd, 
.woocommerce dl.variation dd {
    margin: 0;
}
.woocommerce .wc-item-meta p, .woocommerce .wc-item-meta:last-child, 
.woocommerce dl.variation p, .woocommerce dl.variation:last-child {
    margin: 5px 0;
}
.woocommerce table.shop_table .variation dd p::after{
    content: " / ";
}
.woocommerce table.shop_table .variation dd:last-child p::after{
    display: none; 
}
/* checkout */
.woocommerce .form-row-last input.button {
    color: #fff !important;
}

.woocommerce .form-row-last input.button:hover {
    background: #ffff !important;
    border: 1px solid;
}
.woocommerce-cart table.cart td.actions .coupon .input-text{
    height: 35px;
}

/*check out*/
.checkout .form-row label {
    color: #333333;
}

.woocommerce-info {
    border-color: #48cab2 !important;
}

.checkout .form-row input,
.woocommerce .woocommerce-checkout form.checkout_coupon .form-row input.input-text,
.woocommerce .woocommerce-checkout form.checkout_coupon .form-row textarea,
.woocommerce .woocommerce-checkout form .form-row .input-text,
.woocommerce-page form .form-row .input-text {
    box-shadow: 0 0 0 1px #d9d9d9;
    transition: all 0.2s ease-out;
    background-color: white;
    color: #333333;
    border-radius: 4px;
    display: block;
    box-sizing: border-box !important;
    width: 100% !important;
    padding: 0.94em 2.8em 0.94em 0.8em;
    word-break: normal;
    border: 1px solid #d9d9d9;
}

.checkout_coupon .input-text,
.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper input.input-text {
    box-shadow: none;
    transition: all 0.2s ease-out;
    background-color: white;
    color: #333333;
    border-radius: 4px;
    display: block;
    box-sizing: border-box;
    width: 100%;
    padding: 0.94em 2.8em 0.94em 0.8em;
    word-break: normal;
}

.woocommerce-form-coupon-toggle {
    display: none !important;
}

#place_order {
    width: 100%;
    margin-top: 20px;
}

.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_first_name_field,
.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_address_1_field,
.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_phone_field,
.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_email_field {
    width: 100%;
}

.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_city_field {
    width: 50%;
}

.woocommerce-checkout div.col-1 .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper p#billing_address_2_field {
    width: 50%;
    padding-right: 0px;
}

body.woocommerce form .form-row label {
    display: none !important;
}

.flex {
    display: flex;
    flex-wrap: wrap;
}

body.woocommerce .woocommerce-checkout .col2-set div.col-1,
.woocommerce-page .woocommerce-checkout .col2-set div.col-1 {
    width: 100%
}

.checkout-tu-tao {
    float: left;
    width: 48%;
    display: flex;
}

.checkout-tu-tao #customer_details .col-1 {
    width: 100% !important;
}

#customer_details h3 {
    margin-top: 0px;
    margin-bottom: 10px
}

.phuongthuc_ship {
    margin-bottom: 20px;
}

.checkout.woocommerce-checkout.woocommerce-checkout-tao,
.full-checkout .woocommerce-message {
    float: right;
    width: 48%;
}

.woocommerce-checkout-tao #customer_details {
    display: none;
}

.order_review_toggle_mobile {
    margin: 15px 0;
    display: none;
}

.billing_bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}

.billing_bottom a {
    text-decoration: none;
    color: #338dbc;
}

.billing_bottom button {
    padding: 1.4em 1.7em;
    border-radius: 4px;
    background: #338dbc;
    color: #fff;
    transition: 0.4s all;
    border: none;
    text-align: center;
    position: relative;
    cursor: pointer;
}

.woocommerce .button.apply_input_coupon {
    padding: .9em 1.5em !important;
    border-radius: 3px !important;
    border: none !important;
    color: #fff !important;
    background: #338dbc !important;
    cursor: pointer !important;
}

.woocommerce .button.apply_input_coupon:hover {
    color: #fff !important;
    background: #338dbc !important;
}

.woocommerce table.shop_table.woocommerce-checkout-review-order-table tbody th {
    text-align: left;
}

/*step2*/
.woocommerce-checkout-step2 #customer_details .col-1 {
    display: none;
}

.checkout.woocommerce-checkout.woocommerce-checkout-step2 #order_review {
    width: 48%;
    float: right;
}

.checkout.woocommerce-checkout.woocommerce-checkout-step2 .col2-set {
    width: 48%;
    float: left;
}
.checkout.woocommerce-checkout.woocommerce-checkout-tao .woocommerce-checkout-review-order,
.checkout.woocommerce-checkout.woocommerce-checkout-step2 .woocommerce-checkout-review-order-table,
.phuongthuc_thanhtoan {
    background-color: #fff;
}

#shipping_method {
    border: 1px solid #ebebeb;
}

.woocommerce ul#shipping_method li+li {
    border-top: 1px solid #ebebeb;
}

.woocommerce ul#shipping_method li {
    padding: 10px;
}

#payment {
    background: none !important;
}

.wc_payment_methods.payment_methods.methods {
    padding: 0 !important;
    border: 1px solid #ebebeb;
}

.wc_payment_methods.payment_methods.methods li+li {
    border-top: 1px solid #ebebeb;
}

.wc_payment_methods.payment_methods.methods li {
    padding: 10px;
}

.form-row.place-order,
#order_review #payment {
    display: none;
}

/*end step2*/

.woocommerce .woocommerce-checkout form.checkout_coupon {
    border: none !important;
    padding: 0 !important;
    margin: 0 !important;
}

.submit_input_coupon {
    display: flex;
    justify-content: space-around;
    padding: 10px;
}

.name_coupon_product {
    padding: .9em;
    border: 1px solid #ebebeb;
    border-radius: 8px;
    flex-grow: 1;
    margin-right: 20px;
}

.submit_input_coupon p {
    padding: 0.9em 1.5em;
    border-radius: 3px;
    border: none;
    color: #fff !important;
    background: #338dbc;
    cursor: pointer;
    text-transform: initial;
    margin: 0;
}

.checkout .cart_item .thumbnail_product_checkout {
    width: 20%;
    position: relative;
}

.checkout .cart_item .thumbnail_product_checkout img {
    border-radius: 10px;
    border: 1px solid #dadada;
    padding: 0;
    overflow: hidden;
}

.checkout .cart_item .thumbnail_product_checkout .product-quantity {
    position: absolute;
    top: 0;
    right: 0px;
    width: 20px;
    height: 20px;
    text-align: center;
    border-radius: 50px;
    background: #48cab2;
    color: white;
    font-weight: normal;
    line-height: 20px;
    font-size: 13px;
}

@media only screen and (max-width: 991px) {
    .submit_input_coupon p {
        padding: 0.9em 1em;
    }
}

@media only screen and (max-width: 768px) {
    .shop_table.cart .nd-quantity-input,
    .woocommerce td.product-name dl.variation {
        justify-content: flex-end;
    }
    /*checkout*/
    #order_review_heading,
    div.woocommerce-billing-fields h3 {
        margin-bottom: 10px;
    }

    .woocommerce table.shop_table.woocommerce-checkout-review-order-table td {
        text-align: right;
    }

    .full-checkout {
        display: flex;
        flex-direction: column;
    }

    .checkout-tu-tao,
    .woocommerce-checkout-tao {
        width: 100% !important;
        order: 2;
    }

    .checkout.woocommerce-checkout {
        display: flex;
        flex-direction: column;
        order: 1;
    }

    .woocommerce-checkout-step2 #customer_details {
        width: 100%;
        order: 2;
    }

    .submit_input_coupon {
        padding: 0;
    }

    #order_review,
    .checkout.woocommerce-checkout.woocommerce-checkout-tao,
    .full-checkout .woocommerce-message {
        width: 100% !important;
    }
}

/*cam on*/
.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
    width: 100%;
    display: flex;
    padding: 20px 10px;
    background: #fafafafa;
}

.woocommerce-order .woocommerce-notice {
    text-align: center;
    padding: 20px;
    font-size: 20px;
    color: #226fe9;
    font-weight: bold;
    margin-bottom: 20px;
    display: block;
}

.woocommerce ul.order_details li,
.woocommerce table.shop_table th,
.woocommerce table.shop_table td,
.woocommerce table.shop_table td .amount {
    font-size: 15px;
}

.woocommerce ul.order_details li {
    float: none !important;
    width: 25%;
    padding-right: 10px;
    margin-right: 10px;
    font-size: 14px !important;
    font-weight: bold;
}

.woocommerce ul.order_details li strong {
    font-weight: bold;
    color: #333333;
    font-size: 14px !important;
    margin-top: 10px;
}
.shop_table.cart .nd-sl{
    display: none;
}
.shop_table.cart .nd-quantity-input {
    display: flex;
}
.shop_table.cart .quantity .qty_button,.shop_table.cart   .quantity .qty{
    flex: none !important;
}

/**/
/**/
/*login*/
.headding_login {
    text-align: center;
    margin-bottom: 20px
}

.woocommerce form.login,
.woocommerce form.register,
.woocommerce form.lost_reset_password,
.woocommerce .register {
    width: 50%;
    margin: 0 auto !important
}

.woocommerce form.login input,
.woocommerce form.lost_reset_password input,
.woocommerce form.register input {
    height: 42px;
    border: 1px solid #ededed;
    padding: 10px
}

.woocommerce form.login button,
.woocommerce form.lost_reset_password button,
.woocommerce form.register button {
    background-color: #ff5722;
    padding: 15px 20px;
    border: 0;
    text-transform: uppercase;
    font-weight: 800;
    color: #fff;
}

.woocommerce form.lost_reset_password input {
    width: 100%
}


#yith-quick-view-modal .yith-wcqv-wrapper {
    width: 900px;
    overflow: hidden;
    border-radius: 5px;
}

@media only screen and (max-width: 767px) {

    .woocommerce form.login,
    .woocommerce form.register,
    .woocommerce form.lost_reset_password,
    .woocommerce .register {
        width: 90%;
    }
    .woocommerce .cart-collaterals .cart_totals{
        width: 100% !important;
    }
}

/*end login*/

@media only screen and (min-width: 769px) {

    .woocommerce ul.products li.product-category,
    .woocommerce-page ul.products li.product-category {
        width: 24.05% !important;
        margin: 0 1.2% 2.992em 0 !important;
    }


}

@media only screen and (max-width: 1200px) {
    .catpro-heading h1 {
        margin: 0;
        font-size: 22px;
    }
    .related > h2 {
        font-size: 24px;
        margin-bottom: 15px;
    }

    .woocommerce div.product .summary p.price, .woocommerce div.product .summary span.price {
        font-size: 20px;
    }
    .woocommerce div.product .summary .woocommerce-product-details__short-description {
        margin-top: 10px;
    }
}
@media only screen and (max-width: 990px) {
    .woocommerce .quantity .qty_button, .woocommerce .quantity .qty {
        height: 35px;
        width: 35px;
    }
    .woocommerce .quantity .qty {
        padding: 0;
    }
    .woocommerce div.product .summary form.cart {
        padding-top: 10px;
        padding-bottom: 10px;
        margin-bottom: 10;
    }
}
@media only screen and (max-width: 800px) {
    .related > h2 {
        font-size: 22px;
    }
    .woocommerce ul.products.columns-4:not(.swiper-wrapper), 
    .woocommerce.columns-4 ul.products:not(.swiper-wrapper) {
        grid-gap: 10px;
        grid-template-columns: 1fr 1fr 1fr;
    }
}
@media only screen and (max-width: 768px) {
    .catpro-heading h1 {
        font-size: 22px;
    } 

    /* Fix lỗi small woo bị lỗi khi nén css*/
    .woocommerce #content div.product div.images,
    .woocommerce #content div.product div.summary,
    .woocommerce div.product div.images,
    .woocommerce div.product div.summary,
    .woocommerce-page #content div.product div.images,
    .woocommerce-page #content div.product div.summary,
    .woocommerce-page div.product div.images,
    .woocommerce-page div.product div.summary {
        width: 100% !important;
    }

    .woocommerce .col2-set .col-1,
    .woocommerce .col2-set .col-2,
    .woocommerce-page .col2-set .col-1,
    .woocommerce-page .col2-set .col-2 {
        width: 100% !important;
    }
    .woocommerce ul.products li.product .info-product {
        padding: 10px;
    }
    /**/
    .kw-product_images, .kw-product-summary {
        width: 100%;
    }
    .woocommerce div.product div.images {
        margin-bottom: 10px !important;
    }
}

@media only screen and (max-width: 640px) {
    .catpro-heading h1 {
        font-size: 20px;
        margin-bottom: 7px;
    }
    .related > h2 {
        font-size: 18px;
    }
    .woocommerce ul.products.columns-4:not(.swiper-wrapper), 
    .woocommerce.columns-4 ul.products:not(.swiper-wrapper) {
        grid-gap: 10px;
        grid-template-columns: 1fr 1fr;
    }
    .single-dv .col-mb {
        width: 50%;
    }
    /**/
    .woocommerce div.product .summary .product_title {
        font-size: 18px;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
        font-size: 14px !important;
        padding-top: 10px !important;
    }
    .woocommerce div.product .woocommerce-tabs ul.tabs li {
        padding: 0px 10px !important;
        margin-right: 10px !important;
    }
}
@media only screen and (max-width: 500px) {
    .woocommerce ul.products li.product a.button {
        font-size: 12px;
    }
}
@media only screen and (max-width: 400px) {
    .woocommerce div.product .summary form.cart button.button.single_add_to_cart_button,
    .woocommerce div.product .summary form.cart button.button.buy_now_button {
        width: 100%;
        margin: 0;
        margin-bottom: 5px;
    }

}